
=encoding utf8

=head1 NAME

Sidef::Types::Glob::Socket

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Socket(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 getaddrinfo

    Socket.getaddrinfo()

Returns the

=cut

=head2 gethostbyaddr

    Socket.gethostbyaddr()

Returns the

=cut

=head2 gethostbyname

    Socket.gethostbyname()

Returns the

=cut

=head2 gethostent

    Socket.gethostent()

Returns the

=cut

=head2 getnameinfo

    Socket.getnameinfo()

Returns the

=cut

=head2 getnetbyaddr

    Socket.getnetbyaddr()

Returns the

=cut

=head2 getnetbyname

    Socket.getnetbyname()

Returns the

=cut

=head2 getnetent

    Socket.getnetent()

Returns the

=cut

=head2 getprotobyname

    Socket.getprotobyname()

Returns the

=cut

=head2 getprotobynumber

    Socket.getprotobynumber()

Returns the

=cut

=head2 getprotoent

    Socket.getprotoent()

Returns the

=cut

=head2 getservbyname

    Socket.getservbyname()

Returns the

=cut

=head2 getservbyport

    Socket.getservbyport()

Returns the

=cut

=head2 getservent

    Socket.getservent()

Returns the

=cut

=head2 inet_aton

    Socket.inet_aton()

Returns the

=cut

=head2 inet_ntoa

    Socket.inet_ntoa()

Returns the

=cut

=head2 inet_ntop

    Socket.inet_ntop()

Returns the

=cut

=head2 inet_pton

    Socket.inet_pton()

Returns the

=cut

=head2 new

    Socket.new()

Returns the

=cut

=head2 open

    Socket.open()

Returns the

=cut

=head2 pack_ip_mreq

    Socket.pack_ip_mreq()

Returns the

=cut

=head2 pack_ip_mreq_source

    Socket.pack_ip_mreq_source()

Returns the

=cut

=head2 pack_ipv6_mreq

    Socket.pack_ipv6_mreq()

Returns the

=cut

=head2 pack_sockaddr_in

    Socket.pack_sockaddr_in()

Returns the

=cut

=head2 pack_sockaddr_in6

    Socket.pack_sockaddr_in6()

Returns the

=cut

=head2 pack_sockaddr_un

    Socket.pack_sockaddr_un()

Returns the

=cut

=head2 sethostent

    Socket.sethostent()

Returns the

=cut

=head2 setnetent

    Socket.setnetent()

Returns the

=cut

=head2 setprotoent

    Socket.setprotoent()

Returns the

=cut

=head2 setservent

    Socket.setservent()

Returns the

=cut

=head2 sockaddr_family

    Socket.sockaddr_family()

Returns the

=cut

=head2 sockaddr_in

    Socket.sockaddr_in()

Returns the

=cut

=head2 sockaddr_in6

    Socket.sockaddr_in6()

Returns the

=cut

=head2 sockaddr_un

    Socket.sockaddr_un()

Returns the

=cut

=head2 socketpair

    Socket.socketpair()

Returns the

=cut

=head2 unpack_ip_mreq

    Socket.unpack_ip_mreq()

Returns the

=cut

=head2 unpack_ip_mreq_source

    Socket.unpack_ip_mreq_source()

Returns the

=cut

=head2 unpack_ipv6_mreq

    Socket.unpack_ipv6_mreq()

Returns the

=cut

=head2 unpack_sockaddr_in

    Socket.unpack_sockaddr_in()

Returns the

=cut

=head2 unpack_sockaddr_in6

    Socket.unpack_sockaddr_in6()

Returns the

=cut

=head2 unpack_sockaddr_un

    Socket.unpack_sockaddr_un()

Returns the

=cut
